## snakemake 5.14.0

=== debian/changelog ===
snakemake (5.14.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Rebecca N. Palmer ]
  * Use Python 3 in subprocess calls.
  * Fix buggy test (upstream 322).
  * Disable tests needing conda or docker.
  * Delete unused patches.
  * Use boto3 (like upstream) not boto.
  * Reproducibility: don't ship (timestamped) test logs.
  * Add self to Uploaders.
  * Update d/copyright, remove no longer needed Files-Excluded.
  * Enable verbose test output.
  * Update dependencies, add minimal-Depends test.
  * Privacy: use local dagre-d3, add missing Javascript dependencies,
    don't appear to show live status when we don't.
  * Use https for links where available.
  * Remove inconveniently licensed (CC-BY-SA) snippets.
  * Install examples.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 25 Apr 2020 19:10:20 +0100

snakemake (5.10.0-3) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Exclude lazy_property to make Sphinx succeed.
    Closes: #955056

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 11:09:24 +0200
