=== debian/control ===
Source: snakemake
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>, Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: science
Priority: optional
Build-Depends: ca-certificates,
               cwltool,
               debhelper-compat (= 12),
               dh-python,
               imagemagick,
               python3,
               python3-appdirs,
               python3-biopython,
               python3-boto3,
               python3-botocore,
               python3-configargparse,
               python3-datrie,
               python3-docutils,
               python3-dropbox,
               python3-flask,
               python3-git,
               python3-jinja2,
               python3-jsonschema,
               python3-nbformat,
               python3-networkx,
               python3-pandas,
               python3-pkg-resources,
               python3-psutil,
               python3-pygments,
               python3-pygraphviz,
               python3-pytest,
               python3-pytest-xdist,
               python3-pytools,
               python3-ratelimiter,
               python3-recommonmark <!nodoc>,
               python3-requests,
               python3-rpy2,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-argparse <!nodoc>,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-toposort,
               python3-wrapt,
               python3-yaml,
               r-cran-rmarkdown,
               stress
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/snakemake
Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
Homepage: https://snakemake.readthedocs.io/
Rules-Requires-Root: no

Package: snakemake
Architecture: all
Depends: ca-certificates,
         libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         libjs-mathjax,
         node-dagre-d3-renderer,
         python3-appdirs,
         python3-configargparse,
         python3-datrie,
         python3-docutils,
         python3-git,
         python3-jsonschema,
         python3-nbformat,
         python3-pkg-resources,
         python3-psutil,
         python3-ratelimiter,
         python3-requests,
         python3-toposort,
         python3-wrapt,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: cwltool,
            imagemagick,
            python3-tz,
            python3-yappi,
# for the reports feature
            python3-jinja2,
            python3-networkx,
            python3-pygments,
            python3-pygraphviz,
# for distributed / cloud setups or online data access
            python3-azure-storage,
            python3-biopython,
            python3-boto3,
            python3-botocore,
            python3-drmaa,
            python3-dropbox,
            python3-flask,
            python3-ftputil,
            python3-irodsclient,
            python3-kubernetes,
            python3-urllib3
Description: pythonic workflow management system
 Build systems like GNU Make are frequently used to create complicated
 workflows, e.g. in bioinformatics. This project aims to reduce the
 complexity of creating workflows by providing a clean and modern domain
 specific language (DSL) in Python style, together with a fast and
 comfortable execution environment.
