=== debian/tests/control ===
# minimal Depends smoke test
Test-Command: cp tests/test_bash/Snakefile $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && snakemake --cores 1 && grep -e bash test.out
Depends: snakemake
Restrictions: allow-stderr

# upstream's tests
Tests: run-unit-test
Depends: snakemake, python3-pandas, python3-pytest-xdist, python3-pygraphviz, stress
Restrictions: allow-stderr
