## snakemake 5.16.0

=== debian/changelog ===
snakemake (5.16.0-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Stop using pytest-xdist: it sometimes starts tests from
    a non-main thread, which breaks snakemake.
  * Dockerfile: fix remote root-in-container security hole.
  * Skip a new conda-using test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 04 May 2020 12:16:03 +0100
