## snakemake 5.17.0

=== debian/changelog ===
snakemake (5.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/p/security.patch: adopted upstream - removed

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 May 2020 17:26:55 +0200
