=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-pygments,
                python3-pygraphviz,
                python3-pytest,
-               python3-pytest-xdist,
+# fails tests on arm64 https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
                python3-pytools,
                python3-ratelimiter,
                python3-recommonmark <!nodoc>,
