## snakemake 5.18.1

=== debian/changelog ===
snakemake (5.18.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches, update override path.
  * Docs: work around Sphinx bug 7516.
  * Skip more tests with not-in-Debian dependencies.
  * Bump dephelper compat to 13, remove now-builtin rules.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 31 May 2020 10:54:51 +0100
