## snakemake 5.19.2

=== debian/changelog ===
snakemake (5.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 09 Jun 2020 18:32:35 +0100
