## snakemake 5.19.3

=== debian/changelog ===
snakemake (5.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Jun 2020 22:38:45 +0100
