## snakemake 5.20.1

=== debian/changelog ===
snakemake (5.20.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 15 Jul 2020 08:32:43 +0100
