## snakemake 5.22.1

=== debian/changelog ===
snakemake (5.22.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Update Lintian overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 14:04:24 +0100
