=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: ca-certificates,
                cwltool,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                imagemagick,
                python3,
@@ -29,7 +29,7 @@
                python3-pygments,
                python3-pygraphviz,
                python3-pytest,
-# fails tests on arm64 https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
+# sometimes fails tests https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
                python3-pytools,
                python3-ratelimiter,
                python3-recommonmark <!nodoc>,
