=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # upstream's tests
 Tests: run-unit-test
-Depends: snakemake, python3-pandas, python3-pytest-xdist, python3-pygraphviz, stress
+Depends: snakemake, python3-pandas, python3-pytest, python3-pygraphviz, stress
 Restrictions: allow-stderr
