=== debian/changelog ===
snakemake (5.24.1-2) unstable; urgency=medium

  * Team upload.
  * Skip tests accessing remote locations
    Closes: #986768

 -- Andreas Tille <tille@debian.org>  Mon, 12 Apr 2021 17:17:32 +0200

snakemake (5.24.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Depend on python3-pulp << 2.0.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Sep 2020 16:46:02 +0100

snakemake (5.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency python3-pulp.
  * Remove unnecessary test skips, and document remaining ones.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 29 Aug 2020 11:46:20 +0100
