=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                cwltool,
                debhelper-compat (= 13),
                dh-python,
+               environment-modules,
                imagemagick,
                python3,
                python3-appdirs,
@@ -26,6 +27,7 @@
                python3-pandas,
                python3-pkg-resources,
                python3-psutil,
+               python3-pulp,
                python3-pygments,
                python3-pygraphviz,
                python3-pytest,
@@ -68,6 +70,7 @@
          python3-nbformat,
          python3-pkg-resources,
          python3-psutil,
+         python3-pulp (<< 2.0~),
          python3-ratelimiter,
          python3-requests,
          python3-toposort,
