=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,10 @@
 
 # upstream's tests
 Tests: run-unit-test
-Depends: snakemake, python3-pandas, python3-pytest, python3-pygraphviz, stress
+Depends: snakemake,
+         environment-modules,
+         python3-pygraphviz,
+         python3-pandas,
+         python3-pytest,
+         stress
 Restrictions: allow-stderr
