## snakemake 6.9.1+dfsg1

=== debian/changelog ===
snakemake (6.9.1+dfsg1-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to make build reproducible (Closes: #997000)
    + Thanks to Chris Lamb!

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Oct 2021 00:18:19 +0530

snakemake (6.9.1+dfsg1-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control:
    + Comment another instance of snakemake-doc
    + Add python3-requests-mock and python3-jinja2 to test deps
  * d/t/run-unit-tests:
    + Exclude couple of tests (similar as build time)
  * d/copyright, d/rules, d/connection_pool.py:
    + Hack around to install connection_pool.py as file, and use
      the same

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Oct 2021 12:31:52 +0530

snakemake (6.9.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Removing .snakemake folders from .deb
  * Separated documentation and tests into -doc package

 -- Steffen Moeller <moeller@debian.org>  Tue, 19 Oct 2021 19:47:19 +0200

snakemake (6.9.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: python3-requests-mock

  [ Nilesh Patra ]
  * d/control:
    + Add versioned Dep on pulp (>= 2.0)
    + Add B-D on python3-smart-open

  [ Steffen Moeller ]
  * Unselected tests needing internet access
  * fixing one calling pytest -> pytest-3
  * d/rules: Allowing consecutive builds with better cleaning
  * Added d/TODO to remind about missing "tes" Python module

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 16:32:04 +0200
