=== debian/tests/control ===
# minimal Depends smoke test
Test-Command: cp tests/test_bash/Snakefile $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && snakemake --cores 1 && grep -e bash test.out
#Depends: snakemake, snakemake-doc, snakemake-test
Depends: snakemake
Restrictions: allow-stderr

# upstream's tests
Tests: run-unit-test
Depends: snakemake,
#         snakemake-doc,
         environment-modules,
         python3-pygraphviz,
         python3-pandas,
         python3-pytest,
         python3-requests-mock,
         python3-jinja2,
         stress
Restrictions: allow-stderr
