## snakemake 6.10.0+dfsg1

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx-argparse
sphinx_rtd_theme
docutils
myst-parser
configargparse
appdirs
