=== debian/changelog ===
snakemake (6.10.0+dfsg1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 6.10.0+dfsg1
  * Re-diff patches

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Nov 2021 01:10:16 +0530
