## snakemake 6.12.3

=== debian/changelog ===
snakemake (6.12.3-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Remove unnecessary repack.
  * Update d/copyright.
  * Use python3-connection-pool instead of an embedded copy.
  * Remove unsatisfiable Suggests.  Update and sort build/test-Depends.
  * Run the tests in a copy instead of trying to clean up after them.
  * Update Lintian overrides.
  * Don't try to use local Javascript in GUI, as this is risky.
  * Fix possibly broken local Javascript in documentation.
  * Merge TODO into README.source and update.
  * Fix some broken tests, and document still needed test skips.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 11 Jan 2022 21:22:44 +0000
