=== debian/control ===
Source: snakemake
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>, Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: science
Priority: optional
Build-Depends: ca-certificates,
               cwltool,
               debhelper-compat (= 13),
               dh-python,
               environment-modules,
               imagemagick,
               python3,
               python3-appdirs <!nocheck>,
               python3-biopython <!nocheck>,
               python3-boto3 <!nocheck>,
               python3-botocore <!nocheck>,
               python3-configargparse,
               python3-connection-pool,
               python3-datrie,
               python3-docutils,
               python3-dropbox <!nocheck>,
               python3-filelock,
               python3-flask <!nocheck>,
               python3-git,
               python3-jinja2,
               python3-jsonschema,
               python3-nbformat,
               python3-networkx <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pkg-resources,
               python3-psutil,
               python3-pulp (>= 2.0~),
               python3-pygments <!nocheck>,
               python3-pygraphviz <!nocheck>,
               python3-pytest <!nocheck>,
# sometimes fails tests https://github.com/pytest-dev/pytest-xdist/issues/469 python3-pytest-xdist,
               python3-pytools <!nocheck>,
               python3-ratelimiter,
               python3-recommonmark <!nodoc>,
               python3-requests,
               python3-requests-mock <!nocheck>,
               python3-rpy2 <!nocheck>,
               python3-setuptools,
               python3-smart-open (>= 3.0~),
               python3-sphinx (>= 3.0~) <!nodoc>,
               python3-sphinx-argparse <!nodoc>,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-stopit,
               python3-tabulate,
               python3-toposort <!nocheck>,
               python3-wrapt,
               python3-yaml,
               r-cran-rmarkdown,
               stress <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/snakemake
Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
Homepage: https://snakemake.readthedocs.io/
Rules-Requires-Root: no

Package: snakemake
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         ca-certificates,
         libjs-mathjax,
         python3-appdirs,
         python3-configargparse,
         python3-datrie,
         python3-docutils,
         python3-git,
         python3-jsonschema,
         python3-nbformat,
         python3-pkg-resources,
         python3-psutil,
         python3-pulp (>= 2.0~),
         python3-ratelimiter,
         python3-requests,
         python3-toposort,
         python3-wrapt,
         python3-yaml,
Recommends: cwltool,
            imagemagick,
            python3-tz,
            python3-yappi,
# for the reports feature
            python3-jinja2,
            python3-networkx,
            python3-pygments,
            python3-pygraphviz,
# for distributed / cloud setups or online data access
            python3-azure-storage,
            python3-biopython,
            python3-boto3,
            python3-botocore,
            python3-connection-pool,
            python3-drmaa,
            python3-dropbox,
            python3-flask,
            python3-ftputil,
            python3-irodsclient,
            python3-kubernetes,
            python3-urllib3
#Suggests: snakemake-doc
Description: pythonic workflow management system
 Build systems like GNU Make are frequently used to create complicated
 workflows, e.g. in bioinformatics. This project aims to reduce the
 complexity of creating workflows by providing a clean and modern domain
 specific language (DSL) in Python style, together with a fast and
 comfortable execution environment.


#Package: snakemake-doc
#Architecture: all
#Depends: ${misc:Depends},
#         ${sphinxdoc:Depends}
#Recommends: snakemake
#Description: documentation for pythonic workflow management system
# Build systems like GNU Make are frequently used to create complicated
# workflows, e.g. in bioinformatics. This project aims to reduce the
# complexity of creating workflows by providing a clean and modern domain
# specific language (DSL) in Python style, together with a fast and
# comfortable execution environment.
# .
# This package provides the Sphinx-generated documentation and examples.
#
#Package: snakemake-test
#Architecture: all
#Depends: ${misc:Depends},
#Recommends: snakemake
#Description: tests for pythonic workflow management system
# Build systems like GNU Make are frequently used to create complicated
# workflows, e.g. in bioinformatics. This project aims to reduce the
# complexity of creating workflows by providing a clean and modern domain
# specific language (DSL) in Python style, together with a fast and
# comfortable execution environment.
# .
# This package provides files for the automated testing of snakemake.
