=== debian/tests/control ===
# minimal Depends smoke test
Test-Command: cp tests/test_bash/Snakefile $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && snakemake --cores 1 && grep -e bash test.out
Depends: snakemake
Restrictions: allow-stderr

# upstream's tests
Tests: run-unit-test
Depends: snakemake,
         environment-modules,
         r-base-core,
         python3-connection-pool,
         python3-ftputil,
         python3-jinja2,
         python3-pandas,
         python3-pygraphviz,
         python3-pytest,
         python3-requests-mock,
         stress
Restrictions: allow-stderr
